Index: src/interpol_wind_short.f90
===================================================================
--- src/interpol_wind_short.f90	(revision e200b7adb07d4dfa7bf42f7cb43e0c85b4dbf894)
+++ src/interpol_wind_short.f90	(revision 8a65cb0801b09eb0ae933a1afabbe10361a9021b)
@@ -21,27 +21,27 @@
 
 subroutine interpol_wind_short(itime,xt,yt,zt)
-  !                                 i   i  i  i
-  !*****************************************************************************
-  !                                                                            *
-  !  This subroutine interpolates the wind data to current trajectory position.*
-  !                                                                            *
-  !    Author: A. Stohl                                                        *
-  !                                                                            *
-  !    16 December 1997                                                        *
-  !                                                                            *
-  !  Revision March 2005 by AST : all output variables in common block         *
-  !                                                                            *
-  !*****************************************************************************
-  !                                                                            *
-  ! Variables:                                                                 *
-  ! u,v,w              wind components                                         *
-  ! itime [s]          current temporal position                               *
-  ! memtime(3) [s]     times of the wind fields in memory                      *
-  ! xt,yt,zt           coordinates position for which wind data shall be       *
-  !                    calculated                                              *
-  !                                                                            *
-  ! Constants:                                                                 *
-  !                                                                            *
-  !*****************************************************************************
+!                                 i   i  i  i
+!*****************************************************************************
+!                                                                            *
+!  This subroutine interpolates the wind data to current trajectory position.*
+!                                                                            *
+!    Author: A. Stohl                                                        *
+!                                                                            *
+!    16 December 1997                                                        *
+!                                                                            *
+!  Revision March 2005 by AST : all output variables in common block         *
+!                                                                            *
+!*****************************************************************************
+!                                                                            *
+! Variables:                                                                 *
+! u,v,w              wind components                                         *
+! itime [s]          current temporal position                               *
+! memtime(3) [s]     times of the wind fields in memory                      *
+! xt,yt,zt           coordinates position for which wind data shall be       *
+!                    calculated                                              *
+!                                                                            *
+! Constants:                                                                 *
+!                                                                            *
+!*****************************************************************************
 
   use par_mod
@@ -51,6 +51,6 @@
   implicit none
 
-  integer :: itime
-  real :: xt,yt,zt
+  integer, intent(in) :: itime
+  real, intent(in) :: xt,yt,zt
 
   ! Auxiliary variables needed for interpolation
